Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.launch
Interface AntMain

All Known Implementing Classes:
  Main

public interface AntMain

Interface used to bridge to the actual Main class without any messy reflection

Since:
  Ant 1.6

Method Summary
`void` | `startAnt(java.lang.String[] args, java.util.Properties additionalUserProperties, java.lang.ClassLoader coreLoader)` Start Ant.

Method Detail

### startAnt

    public void startAnt(java.lang.String[] args,
                         java.util.Properties additionalUserProperties,
                         java.lang.ClassLoader coreLoader)

  Start Ant.

  Parameters:
    `args` - command line args
    `additionalUserProperties` - properties to set beyond those that may be specified on the args list
    `coreLoader` - - not used
  Since:
    Ant 1.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.